summaryrefslogtreecommitdiffstats
path: root/sim-im
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-09-15 15:36:05 +0000
committer Eric Hameleers <alien@slackware.com>2007-09-15 15:36:05 +0000
commit6aa45ae7c7ff03dbebc6a1185dfdf69c659adc4c (patch)
tree51e2425adc618d5c356023f038a29bb43cb48d2b /sim-im
parentceddae8dda6266cacf6450804bf57844bc90d2e7 (diff)
downloadasb-6aa45ae7c7ff03dbebc6a1185dfdf69c659adc4c.tar.gz
asb-6aa45ae7c7ff03dbebc6a1185dfdf69c659adc4c.tar.xz
Cosmetic updates
Diffstat (limited to 'sim-im')
-rwxr-xr-xsim-im/build/sim-im.SlackBuild15
1 files changed, 7 insertions, 8 deletions
diff --git a/sim-im/build/sim-im.SlackBuild b/sim-im/build/sim-im.SlackBuild
index c3f3d1f3..e6992e5b 100755
--- a/sim-im/build/sim-im.SlackBuild
+++ b/sim-im/build/sim-im.SlackBuild
@@ -136,8 +136,8 @@ if ! [ -f ${SOURCE} ]; then
[ -w "$SRCDIR" ] || SOURCE="$OUTPUT/`basename $SOURCE`"
echo "Source '`basename ${SOURCE}`' not available yet..."
echo "Will download file to `dirname $SOURCE`"
- wget -nv -O "${SOURCE}" "${SRCURL}" || true
- if [ $? -ne 0 ]; then
+ wget -nv -O --connect-timeout=30 "${SOURCE}" "${SRCURL}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
echo "Downloading '`basename ${SOURCE}`' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
exit 1
@@ -166,16 +166,17 @@ if `file ${SOURCE} | grep -q ": bzip2"`; then
elif `file ${SOURCE} | grep -q ": gzip"`; then
tar -xzvf ${SOURCE}
fi
-chown -R root:root *
-chmod -R u+w,go+r-w,a-s *
mv ${SRCNAM}-${VERSION} ${PRGNAM}-${VERSION}
cd ${PRGNAM}-${VERSION}
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
echo Building ...
LDFLAGS="$SLKLDFLAGS" \
CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
./configure --prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--localstatedir=/var \
@@ -187,12 +188,10 @@ CFLAGS="$SLKCFLAGS" \
2>&1 | tee $OUTPUT/configure-${PRGNAM}.log
make 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
-#
# Install all the needed stuff to the package dir
-#
# Use installwatch if available, to produce a logfile of the installation
# process that is more easily readable:
-if `which installwatch > /dev/null 2>&1`; then
+if $(which installwatch > /dev/null 2>&1); then
installwatch -o $OUTPUT/install-${PRGNAM}.log make DESTDIR=$PKG install
else
make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
@@ -213,7 +212,7 @@ sed -i -e "s#^Icon=sim.png#Icon=/usr/share/pixmaps/sim.png#" \
mkdir -p $PKG/install
cat <<-EOTT > $PKG/install/doinst.sh
if [ -x usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database ./usr/share/applications > /dev/null 2>&1
+ chroot /usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1
fi
EOTT